CLANG-TBLGEN(1)

NAME
clang-tblgen - manual page for clang-tblgen 11

DESCRIPTION
USAGE: clang-tblgen [options] <input file>

OPTIONS:

Color Options:

--color - Use colors in output (default=autodetect)

General options:

-D=<macro name> - Name of the macro to be defined

-I=<directory> - Directory of include files

-d=<filename> - Dependency filename

    Action to perform:

--print-records - Print all records to stdout (default)

--dump-json - Dump all records as machine-readable JSON

--gen-clang-attr-classes - Generate clang attribute clases

--gen-clang-attr-parser-string-switches - Generate all parser-related attribute string switches

--gen-clang-attr-subject-match-rules-parser-string-switches - Generate all parser-related attribute subject match rulestring switches

--gen-clang-attr-impl - Generate clang attribute implementations

--gen-clang-attr-list - Generate a clang attribute list

--gen-clang-attr-subject-match-rule-list - Generate a clang attribute subject match rule list

--gen-clang-attr-pch-read - Generate clang PCH attribute reader

--gen-clang-attr-pch-write - Generate clang PCH attribute writer

--gen-clang-attr-has-attribute-impl - Generate a clang attribute spelling list

--gen-clang-attr-spelling-index - Generate a clang attribute spelling index

--gen-clang-attr-ast-visitor - Generate a recursive AST visitor for clang attributes

--gen-clang-attr-template-instantiate - Generate a clang template instantiate code

--gen-clang-attr-parsed-attr-list - Generate a clang parsed attribute list

--gen-clang-attr-parsed-attr-impl - Generate the clang parsed attribute helpers

--gen-clang-attr-parsed-attr-kinds - Generate a clang parsed attribute kinds

--gen-clang-attr-text-node-dump - Generate clang attribute text node dumper

--gen-clang-attr-node-traverse - Generate clang attribute traverser

--gen-clang-diags-defs - Generate Clang diagnostics definitions

--gen-clang-diag-groups - Generate Clang diagnostic groups

--gen-clang-diags-index-name - Generate Clang diagnostic name index

--gen-clang-basic-reader - Generate Clang BasicReader classes

--gen-clang-basic-writer - Generate Clang BasicWriter classes

--gen-clang-comment-nodes - Generate Clang AST comment nodes

--gen-clang-decl-nodes - Generate Clang AST declaration nodes

--gen-clang-stmt-nodes - Generate Clang AST statement nodes

--gen-clang-type-nodes - Generate Clang AST type nodes

--gen-clang-type-reader - Generate Clang AbstractTypeReader class

--gen-clang-type-writer - Generate Clang AbstractTypeWriter class

--gen-clang-opcodes - Generate Clang constexpr interpreter opcodes

--gen-clang-sa-checkers - Generate Clang Static Analyzer checkers

--gen-clang-comment-html-tags - Generate efficient matchers for HTML tag names that are used in documentation comments

--gen-clang-comment-html-tags-properties - Generate efficient matchers for HTML tag properties

--gen-clang-comment-html-named-character-references - Generate function to translate named character references to UTF-8 sequences

--gen-clang-comment-command-info - Generate command properties for commands that are used in documentation comments

--gen-clang-comment-command-list - Generate list of commands that are used in documentation comments

--gen-clang-opencl-builtins - Generate OpenCL builtin declaration handlers

--gen-arm-neon - Generate arm_neon.h for clang

--gen-arm-fp16 - Generate arm_fp16.h for clang

--gen-arm-bf16 - Generate arm_bf16.h for clang

--gen-arm-neon-sema - Generate ARM NEON sema support for clang

--gen-arm-neon-test - Generate ARM NEON tests for clang

--gen-arm-sve-header - Generate arm_sve.h for clang

--gen-arm-sve-builtins - Generate arm_sve_builtins.inc for clang

--gen-arm-sve-builtin-codegen - Generate arm_sve_builtin_cg_map.inc for clang

--gen-arm-sve-typeflags - Generate arm_sve_typeflags.inc for clang

--gen-arm-sve-sema-rangechecks - Generate arm_sve_sema_rangechecks.inc for clang

--gen-arm-mve-header - Generate arm_mve.h for clang

--gen-arm-mve-builtin-def - Generate ARM MVE builtin definitions for clang

--gen-arm-mve-builtin-sema - Generate ARM MVE builtin sema checks for clang

--gen-arm-mve-builtin-codegen - Generate ARM MVE builtin code-generator for clang

--gen-arm-mve-builtin-aliases - Generate list of valid ARM MVE builtin aliases for clang

--gen-arm-cde-header - Generate arm_cde.h for clang

--gen-arm-cde-builtin-def - Generate ARM CDE builtin definitions for clang

--gen-arm-cde-builtin-sema - Generate ARM CDE builtin sema checks for clang

--gen-arm-cde-builtin-codegen - Generate ARM CDE builtin code-generator for clang

--gen-arm-cde-builtin-aliases - Generate list of valid ARM CDE builtin aliases for clang

--gen-attr-docs - Generate attribute documentation

--gen-diag-docs - Generate diagnostic documentation

--gen-opt-docs - Generate option documentation

--gen-clang-data-collectors - Generate data collectors for AST nodes

--gen-clang-test-pragma-attribute-supported-attributes - Generate a list of attributes supported by #pragma clang attribute for testing purposes

-o=<filename> - Output filename

--write-if-changed - Only write output if it changed

Generic Options:

--help - Display available options (--help-hidden for more)

--help-list - Display list of available options (--help-list-hidden for more)

--version - Display the version of this program